#ifndef _C_Drive_
#define _C_Drive_

#include <reg52.h>

#define uint8  				unsigned char
#define uint16 				unsigned short int
#define uint32				unsigned long int


#define C_HandUp_ID			0x00
#define C_CleanScreen_ID	0x01
#define C_SetColor_ID		0x41
#define C_SetBackLight_ID	0x60
#define C_Buzzer_ID			0x61
#define C_PutString_ID		0x20
#define C_Font_Size12		0x04
#define C_Font_Size16		0x05
#define C_Font_Size24		0x06
#define C_Font_Size32		0x07
#define C_Font_Size64		0x09
#define C_DrawLine_ID		0x51
#define C_DisImage_ID		0x31
#define C_GifDis_ID			0x80
#define C_CtrlTP_ID			0x70
#define C_TP_PressD			0x00
#define C_TP_Press100ms		0x08
#define C_SetTP_ID			0x72
#define C_TestTP_ID			0x73
#define C_DisTime_ID		0x85

/*ֽ*/		void C_SendChar(uint8 c);

/*ָ֡ͷ*/	void C_SendBeginCMD(void);

/*ָ֡β*/	void C_SendEndCMD(void);

/**/		void C_HandUp(void);

/**/		void C_CleanScreen(void);

/*ɫ*/	void C_SetColor(uint16 FColour,uint16 BColour);

/**/	void C_SetBackLight(uint8 light_level);		//0x00   0xFFر

/**/		void C_Buzzer(uint8 DelayTime);				//Time(1ֽ): ʱ䳤Ϊ10ms*Time

/*ַ*/		void C_PutString(uint16 x,uint16 y,uint8 BColourEn,uint8 Font,char *string); 

/**/		void C_DrawLine(uint16 x0,uint16 y0,uint16 x1,uint16 y1);    

/*ʾͼƬ*/	void C_DisImage(uint16 Picture_ID,uint8 masken);	//0x00:ɫ ;0x01 ִɫ

/*ʾGIF*/		void C_GifDis(uint16 x,uint16 y,uint16 flashimgae_id);

/**/	void C_SetTP(void);

/**/	void C_TestTP(void);

/**/    void C_CtrlTP(uint8 C_TPEn,uint8 BuzzerEn,uint8 TPMode);

/*ʾʱ*/	void C_DisTime(uint8 DisTimeEN);		 //0x06 ر0x00

/*Ϊ9600*/	void Uart_Baud9600(void);

/*رGIFʾ*/  void C_GifDis_close(uint16 x,uint16 y,uint16 flashimgae_id);

/*㺯*/	void C_Draw_Dot (uint16 x,uint16 y,uint16 r);

/*дͼ*/	void C_WriteLayer (uint8 n);

/*ͼ*/	void C_DisLayer (uint8 n);

/*رվ*/ void C_Clokeyboard();

#endif