#ifndef _A_Drive_
#define _A_Drive_

#include <reg52.h>

#define uint8  				unsigned char
#define uint16 				unsigned short int
#define uint32				unsigned long int

#define A_HandUp_ID			0x00
#define A_CleanScreen_ID	0x02
#define A_SetColor_ID		0x05
#define A_SetCharMode_ID	0x08
#define A_Char_mode_00		0x00
#define A_Char_mode_0C		0x01
#define A_Char_mode_90		0x80
#define A_Char_mode_9C		0x81
#define A_SetBackLight_ID	0x0b
#define A_Buzzer_ID			0x0d
#define	A_Buzzer1			0x00
#define	A_Buzzer2			0x01
#define	A_Buzzer3			0x02
#define	A_Buzzer4			0x03
#define A_Font_Size16		0x12
#define A_Font_Size24		0x14
#define A_Font_Size32		0x13
#define A_DrawLine_ID		0x23
#define A_DisImage_ID		0x30
#define A_SetTP_ID			0x50
#define A_TestTP_ID			0x54
#define A_CtrlTP_ID			0x52
#define A_TP_PressD			0x01
#define A_TP_Press100ms		0x03
#define A_DisTime_ID		0x60

/*ֽ*/		void A_SendChar(uint8 c);

/*ָ֡ͷ*/	void A_SendBeginCMD(void);

/*ָ֡β*/	void A_SendEndCMD(void);

/**/		void A_HandUp(void);

/**/		void A_CleanScreen(void);

/*ɫ*/	void A_SetColor(uint16 FColour,uint16 BColour);

/*ַʾģʽ*/void A_SetCharMode(uint8 Char_mode,uint16 Colour);

/**/	void A_SetBackLight(uint8 light_level);

/**/		void A_Buzzer(uint8 BuzzerTpye,uint8 DelayTime);		  //Time(1ֽ): ʱ䳤Ϊ10ms*Time

/*ַ*/		void A_PutString(uint16 x,uint16 y,uint8 Font,char *string); 

/**/		void A_DrawLine(uint16 x0,uint16 y0,uint16 x1,uint16 y1);

/*ʾͼƬ*/	void A_DisImage(uint16 Picture_ID);

/**/	void A_SetTP(void);

/**/	void A_TestTP(void);

/**/    void A_CtrlTP(uint8 TPMode);

/*ʾʱ*/	void A_DisTime(uint8 DisTimeEN);

#endif