#include 	"C_Driver.h"
#include	<string.h>

/**********************************************************************************************/
//ַָ
/**********************************************************************************************/
void C_SendChar(uint8 c)
{
	SBUF=c;
	while(TI==0);
	TI=0;	
}
void C_SendBeginCMD()
{
	C_SendChar(0xee);
}
void C_SendEndCMD()
{
	C_SendChar(0xff);
	C_SendChar(0xfc);
	C_SendChar(0xff);
	C_SendChar(0xff);	
}
/**********************************************************************************************/
//ָ
/**********************************************************************************************/
void C_HandUp(void)
{
	C_SendBeginCMD();
	C_SendChar(C_HandUp_ID);
	C_SendEndCMD();	
}
/**********************************************************************************************/
//ָ
/**********************************************************************************************/
void C_CleanScreen(void)
{
	C_SendBeginCMD();
	C_SendChar(C_CleanScreen_ID);
	C_SendEndCMD();
}
/**********************************************************************************************/
//ɫָ
/**********************************************************************************************/
void C_SetColor(uint16 FColour,uint16 BColour)
{ 
  	C_SendBeginCMD();
  	C_SendChar(C_SetColor_ID);
  	C_SendChar((FColour>>8)&0xff);
  	C_SendChar(FColour&0xff);
	C_SendEndCMD();
	C_SendBeginCMD();
	C_SendChar(0x42);
	C_SendChar((BColour>>8)&0xff);
  	C_SendChar(BColour&0xff);
  	C_SendEndCMD();
}
/**********************************************************************************************/
//
/**********************************************************************************************/
void C_SetBackLight(uint8 light_level)
{
  	C_SendBeginCMD();
  	C_SendChar(C_SetBackLight_ID);
	C_SendChar(light_level);
  	C_SendEndCMD();		
}
/**********************************************************************************************/
//
/**********************************************************************************************/
void C_Buzzer(uint8 DelayTime)
{
  	C_SendBeginCMD();
  	C_SendChar(C_Buzzer_ID);
	C_SendChar(DelayTime);
  	C_SendEndCMD();		
}
/**********************************************************************************************/
//ַʾ
/**********************************************************************************************/
void C_PutString(uint16 x,uint16 y,uint8 BColourEn,uint8 Font,char *string) 
{
	C_SendBeginCMD();
	C_SendChar(C_PutString_ID);
	C_SendChar((x>>8)&0xff);
    C_SendChar(x&0xff);
	C_SendChar((y>>8)&0xff);
	C_SendChar(y&0xff);
	C_SendChar(BColourEn);
	C_SendChar(Font);
	do
	{
		C_SendChar(*string);
	}
	while(*string++);
	C_SendEndCMD();
}
/**********************************************************************************************/
//
/**********************************************************************************************/
void C_DrawLine(uint16 x0,uint16 y0,uint16 x1,uint16 y1)
{
  	C_SendBeginCMD();
  	C_SendChar(C_DrawLine_ID);
	C_SendChar((x0>>8)&0xff);
    C_SendChar(x0&0xff);
	C_SendChar((y0>>8)&0xff);
	C_SendChar(y0&0xff);
	C_SendChar((x1>>8)&0xff);
    C_SendChar(x1&0xff);
	C_SendChar((y1>>8)&0xff);
	C_SendChar(y1&0xff);
  	C_SendEndCMD();	
}
/**********************************************************************************************/
//ȫͼƬʾ
/**********************************************************************************************/
void C_DisImage(uint16 Picture_ID,uint8 masken)
{
  	C_SendBeginCMD();
  	C_SendChar(C_DisImage_ID);
	C_SendChar((Picture_ID>>8)&0xff);
    C_SendChar(Picture_ID&0xff);
    C_SendChar(masken);
  	C_SendEndCMD();
}
/**********************************************************************************************/
//GIFͼƬʾ
/**********************************************************************************************/
void C_GifDis(uint16 x,uint16 y,uint16 flashimgae_id)
{  
    C_SendBeginCMD();
    C_SendChar(C_GifDis_ID);
    C_SendChar((x>>8)&0xff);
    C_SendChar(x&0xff);
    C_SendChar((y>>8)&0xff);
    C_SendChar(y&0xff);
    C_SendChar((flashimgae_id>>8)&0xff);
    C_SendChar(flashimgae_id&0xff);
	C_SendChar(0x01);
    C_SendChar(0x00);
    C_SendEndCMD();
}
/**********************************************************************************************/
//У׼
/**********************************************************************************************/
void C_SetTP(void)
{	
  	C_SendBeginCMD();
  	C_SendChar(C_SetTP_ID);
  	C_SendEndCMD();
}
/**********************************************************************************************/
//
/**********************************************************************************************/
void C_TestTP(void)
{	
  	C_SendBeginCMD();
  	C_SendChar(C_TestTP_ID);
  	C_SendEndCMD();
}
/**********************************************************************************************/
//
/**********************************************************************************************/
void C_CtrlTP(uint8 C_TPEn,uint8 BuzzerEn,uint8 TPMode)
{	
  	C_SendBeginCMD();
  	C_SendChar(C_CtrlTP_ID);
	C_SendChar(C_TPEn | (BuzzerEn<<1) | TPMode);
  	C_SendEndCMD();
}
/**********************************************************************************************/
//ʱʾ		 
/**********************************************************************************************/
void C_DisTime(uint8 DisTimeEN)
{
  	C_SendBeginCMD();
  	C_SendChar(C_DisTime_ID);
	C_SendChar(DisTimeEN);
	C_SendChar(0x01);
    C_SendChar(0x05);
	C_SendChar(0x07);
	C_SendChar(0xe0);
	C_SendChar(0x00);
	C_SendChar(0x00);
	C_SendChar(0x00);
	C_SendChar(0x00);
  	C_SendEndCMD();
}

/****************************************************************************************************/
//Ϊ9600
/****************************************************************************************************/
void UART_BAUD9600(void)
{
	C_SendBeginCMD();
	C_SendChar(0xa0);
	C_SendChar(0x03);
	C_SendEndCMD();
}



/**********************************************************************************************/
//GIFͼƬر
/**********************************************************************************************/
void C_GifDis_close(uint16 x,uint16 y,uint16 flashimgae_id)
{  
    C_SendBeginCMD();
    C_SendChar(C_GifDis_ID);
    C_SendChar((x>>8)&0xff);
    C_SendChar(x&0xff);
    C_SendChar((y>>8)&0xff);
    C_SendChar(y&0xff);
    C_SendChar((flashimgae_id>>8)&0xff);
    C_SendChar(flashimgae_id&0xff);
	C_SendChar(0x00);
    C_SendChar(0x00);
    C_SendEndCMD();
}


/**********************************************************************************************/
//㺯
/**********************************************************************************************/
void C_Draw_Dot (uint16 x,uint16 y,uint16 r)
{
	C_SendBeginCMD();
	C_SendChar(0x52);
	C_SendChar(x);
	C_SendChar(y);
	C_SendChar(r);
	C_SendEndCMD();
}

/**********************************************************************************************/
//дͼ
/**********************************************************************************************/
void C_WriteLayer (uint8 n)
{
	C_SendBeginCMD();
	C_SendChar(0xa1);
	C_SendChar(n);
	C_SendEndCMD();
}

/**********************************************************************************************/
//ͼ
/**********************************************************************************************/
void C_DisLayer (uint8 n)
{
	C_SendBeginCMD();
	C_SendChar(0xa2);
	C_SendChar(n);
	C_SendEndCMD();
}

/**********************************************************************************************/
//رվ
/**********************************************************************************************/
void C_Clokeyboard ()
{
	C_SendBeginCMD();
	C_SendChar(0x79);
	C_SendChar(0x02);
	C_SendEndCMD();
}