#include <reg52.h>
#include "A_Driver.h"
#include "C_Driver.h"
#include <stdio.h>

/******************ж֡ͷ֡β*************************/

#define C_HEAD   0xEE
#define C_TAIL1  0xFF 
#define C_TAIL2  0xFC
#define C_TAIL3  0xFF
#define C_TAIL4  0xFF


/**********************************************************/

#define MHz        1000000U           		//  MHz
#define gCLK       (11.0592*MHz)     		// ϵͳʱƵ
//#define UART_BAUD  19200 					// õĲ
#define TIME0_SET  0xff-(0x04 * 100)			// ʱ100ms	11.0592M
#define red		   0xf800
#define green	   0x07e0
#define blue	   0x001f
#define white	   0xffff
#define black	   0x0000
#define yellow	   0xffe0
#define orange	   0xfc08
#define pink 	   0xf810

uint32 baud =38400; 
uint8  rdcnt = 0;							//ڽջָ
uint8  Uart_Buff[15];							//ڽݻ
//uint8  TP_Flag;
uint16 TP_X,TP_Y;
uint8  FRAME[5];
uint8  version_data;
uint8  touch_en;
idata uint32 str[5];
uint16 temp;
uint32 UART_BAUD;
uint32 UART_BAUD_F;
uint8  z;
uint32 code table[]={1200,2400,4800,9600,19200,57600};
uint8  TP_Flag;
uint16 TP_X,TP_Y;

/**********************************************************************************************/
//ʱ
/**********************************************************************************************/
void Delay_Nus(uint8 n)
{
	while(n--);
}
void Delay_Nms(uint8 n)
{
	uint8 i,j;
	for(i=0;i<n;i++)
		for(j=0;j<125;j++)
			;
}
void Delay(void)
{
  	Delay_Nms(200);
  	Delay_Nms(200);
  	Delay_Nms(200);
  	Delay_Nms(200);
  	Delay_Nms(200);
  	Delay_Nms(200);
  	Delay_Nms(200);
  	Delay_Nms(200);
  	Delay_Nms(200);
  	Delay_Nms(200);
  	Delay_Nms(200);
  	Delay_Nms(200);
}
/**********************************************************************************************/
//ʱڷʽ
/**********************************************************************************************/
void init()     										//ʱڷʽ
{
	EA=1;
	PS=1;								//ж
	TH1=256-(uint8)(gCLK/192.0F/UART_BAUD);
	TL1=TH1;
//	TH0=TIME0_SET;						//ʱ0ֵ趨
//  TL0=0x00;  							
//	ET0=1;     							//ʱ0ж		 
	TMOD=0x21;	    					//T1ʽ2,8λװT0ʽ1,16λʱ
	SCON=0x50;							//ڷʽ1,REN=1 
	PCON=0x80;							//SMOD=1 ʱ
	TR1=1;
	ES=1;					
}
/**********************************************************************************************/
//ʱ0 ֹ鴮ʱ
/**********************************************************************************************
void  timer0() interrupt 1
{
	TR0=0;			 	//رնʱ
	TH0=TIME0_SET;		//ʱ0ֵ趨
	TL0=0x00; 
	rdcnt=0;		  	//㴥ָ
	Uart_Flag = 1;		//ʱ־
}
/**********************************************************************************************/
//ݽжϳ
/**********************************************************************************************/



void Uart() interrupt 4
{
	ES=0;
	if(RI)
	{
		
		RI=0;
		Uart_Buff[rdcnt]=SBUF;
		
		
		if (Uart_Buff[0]==C_HEAD)
		{
			
			FRAME[0]=FRAME[1];
			FRAME[1]=FRAME[2];
			FRAME[2]=FRAME[3];
			FRAME[3]=Uart_Buff[rdcnt];
			rdcnt++;
			if (rdcnt>20)
			rdcnt=0;
			if ((FRAME[0]==C_TAIL1)&&(FRAME[1]==C_TAIL2)&&(FRAME[2]==C_TAIL3)&&(FRAME[3]==C_TAIL4))
				{
					TR0=0;
					rdcnt=0;
					touch_en=1;
					TP_X = Uart_Buff[2];
					TP_X = (TP_X<<8)+Uart_Buff[3];	
					TP_Y = Uart_Buff[4];
					TP_Y = (TP_Y<<8)+Uart_Buff[5];
					TP_Flag = 0x11;	
				}
		 }			
	}
  ES=1;
}

/**********************************************************************************************/
//Cϵг
/**********************************************************************************************/
void HMI_C()
{
	uint8 light_level;
	uint16 n;
	uint16 LineX0,LineY0,LineX1,LineY1;

	C_Clokeyboard();

	C_DrawLine(0,0,0,599);		 //800*600 8C
	C_DrawLine(0,0,799,0);
	C_DrawLine(799,0,799,599);
	C_DrawLine(0,599,799,599);
	Delay_Nms(200);
	C_DrawLine(0,0,0,479);		 //800*480 7C
	C_DrawLine(0,0,799,0);
	C_DrawLine(799,0,799,479);
	C_DrawLine(0,479,799,479);
	Delay_Nms(200);
	C_DrawLine(0,0,0,479);		 //640*480 5.6C
	C_DrawLine(0,0,639,0);
	C_DrawLine(639,0,639,479);
	C_DrawLine(0,479,639,479);
	Delay_Nms(200);
	C_DrawLine(0,0,0,271);		 //480*272 4.3C
	C_DrawLine(0,0,479,0);
	C_DrawLine(479,0,479,271);
	C_DrawLine(0,271,479,271);
	Delay_Nms(200);
	C_DrawLine(0,0,0,239);		 //320*240 3.5C
	C_DrawLine(0,0,319,0);
	C_DrawLine(319,0,319,239);
	C_DrawLine(0,239,319,239);
	Delay_Nms(1000);

	//汾ţɨ
	temp=Uart_Buff[6];
	temp=((temp<<8)&0xffff);
	temp=(temp|Uart_Buff[7]);	
	C_PutString(0,170,0,C_Font_Size24,"汾");
	sprintf(str,"%02x",(unsigned short)Uart_Buff[2]);		  
	C_PutString(72,170,0,C_Font_Size24,str);
	sprintf(str,"%02d",(unsigned short)Uart_Buff[3]);
	C_PutString(100,170,0,C_Font_Size24,str);
	sprintf(str,"%03d",(unsigned short)temp);
	C_PutString(130,170,0,C_Font_Size24,str);
	C_PutString(0,100,0,C_Font_Size24,"ԶΪ");
	sprintf(str,"%d",(unsigned short)UART_BAUD);
	C_PutString(220,100,0,C_Font_Size24,str);
	temp=Uart_Buff[8];
	temp=((temp<<8)&0xffff);
	temp=(temp|Uart_Buff[9]);
	C_PutString(0,140,0,C_Font_Size24,"FPGA汾:");
	sprintf(str,"%d",(unsigned short)temp);
	C_PutString(130,140,0,C_Font_Size24,str);
	Delay();
	Delay();
	Delay();
	
    	
	C_SetColor(red,red);
	C_CleanScreen();
	Delay();

	C_SetColor(white,blue);
	C_CleanScreen();
	Delay();
	//RTCʱ
	C_DisTime(1);
	//ֿ
	C_PutString(0,30,0,C_Font_Size12,"1212:Cϵв");
	C_SetColor(black,blue);
	C_PutString(0,42,0,C_Font_Size16,"1616:Cϵв");
	C_SetColor(red,blue);
	C_PutString(0,58,0,C_Font_Size24,"2424:Cϵв");
	C_SetColor(yellow,blue);
	C_PutString(0,78,0,C_Font_Size32,"3232:Cϵв");
	C_SetColor(green,blue);
	C_PutString(0,108,0,C_Font_Size64,"6464:Cϵв");
	C_Buzzer(10);
	Delay();
	
	
	//
	for(light_level=0;light_level<0xff;light_level++)	
	C_SetBackLight(light_level);	                                                                   
	for(light_level=0xff;light_level>0;light_level--)	
	C_SetBackLight(light_level);
	//ͼƬ,GIFͼƬ
	C_DisTime(0);
	for(n=0;n<4;n++)
	{
		C_DisImage(n,0);
		Delay();
	} 
	C_GifDis(100,100,4);
	Delay();
	Delay();
	
	
	//رGIF
	C_GifDis_close(100,100,4);

	while(1)
	{
	//
	ES=1;

	 
		C_CleanScreen();
		C_CtrlTP(1,1,C_TP_PressD);
		C_PutString(10,50,0,C_Font_Size24,"ҪУ׼");	
		
		
			rdcnt=0;
			Uart_Buff[0]=0;		
			C_PutString(10,10,1,C_Font_Size24,"2봥");
			Delay();
			if(Uart_Buff[0] == 0xee)
			{
				C_SetTP();
				Uart_Buff[0] = 0;		
			}						
			C_PutString(10,10,1,C_Font_Size24,"1");
			Delay();
			if(Uart_Buff[0] == 0xee)
			{
				C_SetTP();
			}				
			C_PutString(10,10,1,C_Font_Size24,"0");
		
		C_TestTP();
		C_PutString(100,100,0,C_Font_Size24,"");
		rdcnt=0;
		TP_X=0;
		TP_Y=0;
		while(1)
		{
			while(TP_Flag != 0x11);
			TP_Flag=0;
			if(TP_X>100 && TP_X<150 && TP_Y>100 && TP_Y<130)
			break;	 
		}
		
		
		
	}				
}
/**********************************************************************************************/
//бģͨѶ
/**********************************************************************************************/
void TFT_BaudRate(void)
{
	for (z=0;z<6;z++)
	{
		UART_BAUD=table[z];
		init();
		Delay_Nms(200);

		C_SendBeginCMD();
		C_SendChar(0Xfe);
		C_SendEndCMD();
		Delay_Nms(100);
		Delay_Nms(100);
		Delay_Nms(200);
		if (Uart_Buff[0]==C_HEAD)
				{
					Delay_Nms(200);
					C_SetColor(red,blue);		 //
					C_CleanScreen();
						
						switch(UART_BAUD)
						{
						case 1200: C_PutString(0,200,0,C_Font_Size24,"ԭΪ1200");  break;
						case 2400: C_PutString(0,200,0,C_Font_Size24,"ԭΪ2400");  break;
						case 4800: C_PutString(0,200,0,C_Font_Size24,"ԭΪ4800");  break;
						case 9600: C_PutString(0,200,0,C_Font_Size24,"ԭΪ9600");  break;
						case 19200: C_PutString(0,200,0,C_Font_Size24,"ԭΪ19200");  break;
						case 57600: C_PutString(0,200,0,C_Font_Size24,"ԭΪ57600");  break;

						}

					UART_BAUD_F=UART_BAUD;
					Uart_Buff[0]=0x00;
					UART_BAUD9600();
					Delay_Nms(100);
					Delay_Nms(100);
		
					
					UART_BAUD=9600;
					init();
					Delay_Nms(100);
					HMI_C();
							
				
				}	

		
		}
}
/**********************************************************************************************/
//---бģͺ
/**********************************************************************************************/
void main(void)
{

  	   Delay_Nms(200);
	   Delay_Nms(200);
	   Delay_Nms(200);

	TFT_BaudRate(); //жģ鲨
	UART_BAUD=9600;
	init();
	Delay();
	C_SendBeginCMD();
	C_SendChar(0Xfe);
	C_SendEndCMD();
	Delay_Nms(200);



    if (Uart_Buff[1]==0xfe)
	{
	HMI_C();
	}

	C_PutString(30,380,0,C_Font_Size24,"ȡʧ");
	while(1);
	
	
	
}
